curl --request POST \
--url https://api.example.com/v2/commands/submit-and-wait-for-reassignment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reassignmentCommands": {
"commandId": "<string>",
"submitter": "<string>",
"commands": [
{
"command": {
"AssignCommand": {
"value": {
"reassignmentId": "<string>",
"source": "<string>",
"target": "<string>"
}
}
}
}
],
"workflowId": "<string>",
"userId": "<string>",
"submissionId": "<string>"
},
"eventFormat": {
"filtersByParty": {},
"filtersForAnyParty": {
"cumulative": [
{
"identifierFilter": {
"Empty": {}
}
}
]
},
"verbose": true
}
}
'{
"reassignment": {
"updateId": "<string>",
"offset": 123,
"events": [
{
"JsAssignmentEvent": {
"source": "<string>",
"target": "<string>",
"reassignmentId": "<string>",
"submitter": "<string>",
"reassignmentCounter": 123,
"createdEvent": {
"offset": 123,
"nodeId": 123,
"contractId": "<string>",
"templateId": "<string>",
"createArgument": "<unknown>",
"witnessParties": [
"<string>"
],
"signatories": [
"<string>"
],
"createdAt": "<string>",
"packageName": "<string>",
"representativePackageId": "<string>",
"acsDelta": true,
"contractKey": "<unknown>",
"contractKeyHash": "<string>",
"createdEventBlob": "<string>",
"interfaceViews": [
{
"interfaceId": "<string>",
"viewStatus": {
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "<string>",
"unknownFields": {
"fields": {}
},
"valueDecoded": "<string>"
}
]
},
"viewValue": "<unknown>",
"implementationPackageId": "<string>"
}
],
"observers": [
"<string>"
]
}
}
}
],
"recordTime": "<string>",
"synchronizerId": "<string>",
"commandId": "<string>",
"workflowId": "<string>",
"traceContext": {
"traceparent": "<string>",
"tracestate": "<string>"
},
"paidTrafficCost": 123
}
}Submits a single composite reassignment command, waits for its result, and returns the reassignment. Propagates the gRPC error of failed submission.
curl --request POST \
--url https://api.example.com/v2/commands/submit-and-wait-for-reassignment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reassignmentCommands": {
"commandId": "<string>",
"submitter": "<string>",
"commands": [
{
"command": {
"AssignCommand": {
"value": {
"reassignmentId": "<string>",
"source": "<string>",
"target": "<string>"
}
}
}
}
],
"workflowId": "<string>",
"userId": "<string>",
"submissionId": "<string>"
},
"eventFormat": {
"filtersByParty": {},
"filtersForAnyParty": {
"cumulative": [
{
"identifierFilter": {
"Empty": {}
}
}
]
},
"verbose": true
}
}
'{
"reassignment": {
"updateId": "<string>",
"offset": 123,
"events": [
{
"JsAssignmentEvent": {
"source": "<string>",
"target": "<string>",
"reassignmentId": "<string>",
"submitter": "<string>",
"reassignmentCounter": 123,
"createdEvent": {
"offset": 123,
"nodeId": 123,
"contractId": "<string>",
"templateId": "<string>",
"createArgument": "<unknown>",
"witnessParties": [
"<string>"
],
"signatories": [
"<string>"
],
"createdAt": "<string>",
"packageName": "<string>",
"representativePackageId": "<string>",
"acsDelta": true,
"contractKey": "<unknown>",
"contractKeyHash": "<string>",
"createdEventBlob": "<string>",
"interfaceViews": [
{
"interfaceId": "<string>",
"viewStatus": {
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "<string>",
"unknownFields": {
"fields": {}
},
"valueDecoded": "<string>"
}
]
},
"viewValue": "<unknown>",
"implementationPackageId": "<string>"
}
],
"observers": [
"<string>"
]
}
}
}
],
"recordTime": "<string>",
"synchronizerId": "<string>",
"commandId": "<string>",
"workflowId": "<string>",
"traceContext": {
"traceparent": "<string>",
"tracestate": "<string>"
},
"paidTrafficCost": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.canton.network/llms.txt
Use this file to discover all available pages before exploring further.
Ledger API standard JWT token
This reassignment is executed as a single atomic update.
The reassignment commands to be submitted.
Required
Show child attributes
If no event_format provided, the result will contain no events. The events in the result, will take shape TRANSACTION_SHAPE_ACS_DELTA.
Optional
Show child attributes
The reassignment that resulted from the submitted reassignment command. The reassignment might contain no events (request conditions result in filtering out all of them).
Required
Show child attributes